Time signatures contain duration information for a measure, and information about the display of the time signature. Note: measures also have a time signature string that can be displayed in cases like pickup measure, where the actual time doesn't match the time signature.

### Hierarchy

- SmoMeasureModifierBase
  - TimeSignature

## Index

### Constructors

- constructor

## Constructors

### constructor

- new TimeSignature(params: TimeSignatureParameters): TimeSignature

- Overrides SmoMeasureModifierBase.constructor

  - Defined in src/smo/data/measureModifiers.ts:780

  #### Parameters

  - ##### params: TimeSignatureParameters

  #### Returns TimeSignature

Generated using TypeDoc